"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const schematics_utilities_1 = require("schematics-utilities");
function structure(options) {
    return (tree, _context) => {
        const workspace = schematics_utilities_1.getWorkspace(tree);
        const projectName = options.project;
        const workspaceProject = schematics_utilities_1.getProjectFromWorkspace(workspace, projectName);
        const projectPath = schematics_utilities_1.buildDefaultPath(workspaceProject);
        const templateSource = schematics_1.apply(schematics_1.url('./files'), [
            schematics_1.applyTemplates(Object.assign({}, options)),
            schematics_1.move(projectPath)
        ]);
        return schematics_1.chain([
            schematics_1.mergeWith(templateSource),
            addCoreModule(options)
        ]);
    };
}
exports.structure = structure;
function addCoreModule(options) {
    return (host) => {
        const workspace = schematics_utilities_1.getWorkspace(host);
        const workspaceProject = schematics_utilities_1.getProjectFromWorkspace(workspace, options.project);
        schematics_utilities_1.addModuleImportToRootModule(host, 'CoreModule', './core/core.module', workspaceProject);
        return host;
    };
}
//# sourceMappingURL=index.js.map